Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DocumentEventSupport.MouseEventFactory

    java.lang.Object
      org.apache.batik.dom.events.DocumentEventSupport.MouseEventFactory

All Implemented Interfaces:
  DocumentEventSupport.EventFactory

Enclosing class:
  DocumentEventSupport

protected static class DocumentEventSupport.MouseEventFactory
extends java.lang.Object
implements DocumentEventSupport.EventFactory

To create a mouse event.

Constructor Summary
`protected` | `DocumentEventSupport.MouseEventFactory()`

Method Summary
`org.w3c.dom.events.Event` | `createEvent()` Creates a new Event object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentEventSupport.MouseEventFactory

    protected DocumentEventSupport.MouseEventFactory()

Method Detail

### createEvent

    public org.w3c.dom.events.Event createEvent()

  Creates a new Event object.

  Specified by:
    `createEvent` in interface `DocumentEventSupport.EventFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.